defmodule Bump.Messages do
  alias Bump.Database
  alias Bump.Firebase

  def pop(sender) do
    Database.pop(sender)
  end

  def peek(sender) do
    Database.peek(sender)
  end

  def list(sender, minutes) do
    Database.list(sender, minutes)
  end

  def clear(sender) do
    Database.clear(sender)
  end

  def push(sender, title, data) do
    Database.push(sender, title, data)
    tokens = Database.tokens(sender)

    for token <- tokens do
      Firebase.push(%{"firebase_token" => token.firebase_token, "title" => title, "data" => data})
    end
  end


end
