defmodule BumpWeb.Router do
  use BumpWeb, :router

  pipeline :api do
    plug :accepts, ["json"]
  end

  scope "/api", BumpWeb do
    pipe_through :api
    post "/push", MessageController, :push
    post "/peek", MessageController, :peek
    post "/pop", MessageController, :pop
    post "/list", MessageController, :list
    post "/clear", MessageController, :clear
    post "/firebase", SenderController, :firebase
    post "/delete_sender", SenderController, :deleteSender
  end


  pipeline :browser do
    plug :accepts, ["html"]
  end

  scope "/", BumpWeb do
    pipe_through :browser
    get "/", DefaultController, :index
  end
  # Other scopes may use custom stacks.
  # scope "/api", BumpWeb do
  #   pipe_through :api
  # end

  # Enables LiveDashboard only for development
  #
  # If you want to use the LiveDashboard in production, you should put
  # it behind authentication and allow only admins to access it.
  # If your application does not have an admins-only section yet,
  # you can use Plug.BasicAuth to set up some basic authentication
  # as long as you are also using SSL (which you should anyway).
  if Mix.env() in [:dev, :test] do
  end
end
